package cn.iocoder.yudao.module.jx.service;


import cn.iocoder.yudao.module.jx.domain.DriveSchoolFeedback;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;
import java.util.Map;

/**
 * 反馈Service接口
 *
 * @author ruoyi
 * @date 2024-04-27
 */
public interface IDriveSchoolFeedbackService
{
    /**
     * 查询反馈
     *
     * @param id 反馈主键
     * @return 反馈
     */
    public DriveSchoolFeedback selectDriveSchoolFeedbackById(Long id);

    /**
     * 查询反馈列表
     *
     * @param driveSchoolFeedback 反馈
     * @return 反馈集合
     */
    public IPage<DriveSchoolFeedback> selectDriveSchoolFeedbackList(DriveSchoolFeedback driveSchoolFeedback, Page<DriveSchoolFeedback> page);
    public List<DriveSchoolFeedback> selectDriveSchoolFeedbackListAll(DriveSchoolFeedback driveSchoolFeedback);
    public Map<Object,Object> like(DriveSchoolFeedback driveSchoolFeedback);

    /**
     * 新增反馈
     *
     * @param driveSchoolFeedback 反馈
     * @return 结果
     */
    public int insertDriveSchoolFeedback(DriveSchoolFeedback driveSchoolFeedback) throws Exception;

    /**
     * 修改反馈
     *
     * @param driveSchoolFeedback 反馈
     * @return 结果
     */
    public int updateDriveSchoolFeedback(DriveSchoolFeedback driveSchoolFeedback);

    /**
     * 批量删除反馈
     *
     * @param ids 需要删除的反馈主键集合
     * @return 结果
     */
    public int deleteDriveSchoolFeedbackByIds(Long[] ids);

    /**
     * 删除反馈信息
     *
     * @param id 反馈主键
     * @return 结果
     */
    public int deleteDriveSchoolFeedbackById(Long id);

    void insertData(String content);
}
